Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## bot.talk
Class Talk

    java.lang.Object
      bot.talk.Talk

Direct Known Subclasses:
  Talk_ACPC

    public abstract class Talk

extends java.lang.Object

Abstract class which contains all protocol independent communication stuff.

Author:
  Witthold/Korol

Field Summary
`protected Bot` | `bot` The actual Bot; needed for communication
`protected int` | `port`
`protected java.lang.String` | `serverAdress`

Constructor Summary
`Talk(Bot bot, java.lang.String serverAdress, int port)` Builds a Talk object and sets the given fields.

Method Summary
`abstract boolean` | `initConnection()` Connects to a server (and a room if necessary).
`abstract void` | `run()` Triggers the the game loop.
`abstract boolean` | `sendCall()` Sends a call action.
`abstract boolean` | `sendFold()` Sends a fold action.
`abstract boolean` | `sendRaise()` Sends a raise action.
`abstract boolean` | `sendRaise(int finalInPot)` Sends a raise action.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### bot

    protected Bot bot

  The actual Bot; needed for communication

### serverAdress

    protected java.lang.String serverAdress

### port

    protected int port

Constructor Detail

### Talk

    public Talk(Bot bot,
                java.lang.String serverAdress,
                int port)

  Builds a Talk object and sets the given fields.

  Parameters:
    `bot` -
    `serverAdress` -
    `port` -

Method Detail

### initConnection

    public abstract boolean initConnection()

  Connects to a server (and a room if necessary).

### run

    public abstract void run()

  Triggers the the game loop.

### sendFold

    public abstract boolean sendFold()

  Sends a fold action.

### sendCall

    public abstract boolean sendCall()

  Sends a call action.

### sendRaise

    public abstract boolean sendRaise()

  Sends a raise action.

### sendRaise

    public abstract boolean sendRaise(int finalInPot)

  Sends a raise action. The final in pot is the total YOU want to have put in the pot after the raise (ie including previous amounts from raises, calls, and blinds.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD